Name:             zathura-pdf-poppler
Version:          0.3.2
Release:    1%{?dist}
Summary:          PDF support for zathura via poppler
License:          Zlib
URL:              http://pwmt.org/projects/%{name}
Source0:          http://pwmt.org/projects/%{name}/download/%{name}-%{version}.tar.xz

BuildRequires:    desktop-file-utils
BuildRequires:    gcc
BuildRequires:    girara-devel
BuildRequires:    glib2-devel
BuildRequires:    libappstream-glib
BuildRequires:    meson >= 0.61
BuildRequires:    poppler-glib-devel >= 21.12
BuildRequires:    zathura-devel >= 0.5.3

Requires:         zathura >= 0.5.3
Conflicts:        zathura-pdf-mupdf < 0.3.3

%description
The zathura-pdf-poppler plugin adds PDF support to zathura by using
the poppler rendering engine.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.metainfo.xml

%pre
[ -L %{_libdir}/zathura/pdf.so ] || rm -f %{_libdir}/zathura/pdf.so

%files
%license LICENSE
%doc AUTHORS
%{_libdir}/zathura/libpdf-poppler.so
%{_datadir}/applications/org.pwmt.zathura-pdf-poppler.desktop
%{_datadir}/metainfo/org.pwmt.zathura-pdf-poppler.metainfo.xml

%changelog
* Wed Aug 07 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.2-1
- initial build
